package de.twenty11.skysail.common.graphs;

import java.util.List;

import org.codehaus.jackson.annotate.JsonSubTypes;

@JsonSubTypes({ @org.codehaus.jackson.annotate.JsonSubTypes.Type(value = DefaultOutgoingEdgesProvider.class, name = "de.twenty11.skysail.common.graphs.DefaultOutgoingEdgesProvider") })
public class DefaultOutgoingEdgesProvider implements OutgoingEdgesProvider {

    private List<EdgeProvider> edges;

    public DefaultOutgoingEdgesProvider() {
    }

    @Override
    public List<EdgeProvider> getEdges() {
        return this.edges;
    }
    
    public void setEdges(List<EdgeProvider> edges) {
        this.edges = edges;
    }

}
